---
title: "/v1/sessions/{id}/watchlist-screening"
slug: "v1sessionsidwatchlist-screening"
description: "Disable ongoing monitoring feature for a specific person. Available only with PEP and AML solution."
updated: 2026-04-24T06:48:21Z
published: 2026-04-24T06:48:21Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.veriff.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Disable watchlist screening monitoring

Patch/v1/sessions/{id}/watchlist-screening

### Disables the onging monitoring feature for a specific verification session

- Only available for customers using the [Veriff PEP and Sanctions services](https://devdocs.veriff.com/docs/aml-screening)

#### When to use this endpoint

- Use this endpoint to disable ongoing monitoring for an end-user's verification session.
- To check if ongoing monitoring is currently enabled for a specific end-user,
use the [GET /v1/sessions//watchlist-screening](https://devdocs.veriff.com/apidocs/v1sessionsidwatchlist-screening-1)
endpoint and examine the `monitorStatus` parameter in the response payload.

#### Request body content

- The request body must contain the `monitorStatus` field set to `disabled` to
turn off ongoing monitoring for the session.

#### Implementation notes

- This endpoint requires session-level [HMAC signature](https://devdocs.veriff.com/docs/hmac-authentication-and-endpoint-security#public-api-v1) authentication
- If monitoring is already disabled, the endpoint returns a `400` error.
- Always ensure that you use the correct API URL to send requests. See the [API URL section](https://devdocs.veriff.com/apidocs/veriff-public-api-guides#api-url) for more info.
- The order of parameters in the real API response can differ from the order you see in this documentation. This is expected and part of the [Backwards compatible changes](https://devdocs.veriff.com/apidocs/veriff-public-api-guides#backwards-compatible-changes) requirements.

Header parametersX-AUTH-CLIENTstringRequired

Your integration's API key (occasionally referred to as the "Token", "API public key" or "Publishable key"). Required for all API requests.

You can find your API key in the Veriff Customer Portal > Settings > API keys.

Exampleyour_api_key
X-HMAC-SIGNATUREstringRequired

Request body signed with the shared secret key. Required to authenticate the request sender.

Examplef8e1e2d1c1b1a1234567890abcdef1234567890abcdef1234567890abcdef12
Content-TypestringRequired

Request content type.

Valid values[
  "application/json"
]Exampleapplication/json

Path parametersidstring (uuid) Required

Verification session ID.

Examplef04bdb47-d3be-4b28-b028-a652feb060b5

Body parameters

Watchlist screening monitoring status update

<select class='api-response-data' aria-label='Media type'><option value='7609a245-8883-479d-9aea-299c35fc04bf'>application/json</option>
</select>

```json
{
  "monitorStatus": "disabled"
}
```

object  monitorStatusstring    Required

New monitoring status. Must be set to `disabled` to turn off ongoing monitoring.

Valid values[
  "disabled"
]Exampledisabled

Responses200

Monitoring disabled successfully

HeadersContent-TypestringResponse content type.Valid values[
  "application/json"
]
X-AUTH-CLIENTstringAPI key echoed back in response.
X-HMAC-SIGNATUREstringResponse body signed with the shared secret key. Required to authenticate the response sender.
<select class='api-response-data' aria-label='Media type'><option value='df2d0024-6252-4514-96e0-169b24744baf'>application/json</option>
</select>

```json
{
  "status": "success",
  "data": {
    "attemptId": "aea9ba6d-1b47-47fc-a4fc-f72b6d3584a7",
    "sessionId": "f04bdb47-d3be-4b28-b028-a652feb060b5",
    "vendorData": "1234567890",
    "monitorStatus": "disabled"
  }
}
```

Expand Allobject  statusstring    

API request status

Valid values[
  "success"
]Examplesuccess
dataobject (WatchlistDisablingData)  attemptIdstring  (uuid)    

UUID v4 which identifies the session attempt.

Exampleaea9ba6d-1b47-47fc-a4fc-f72b6d3584a7
sessionIdstring  (uuid)    

UUID v4 which identifies the verification session.

Examplef04bdb47-d3be-4b28-b028-a652feb060b5
vendorDatastring    

The unique identifier that you created for your end-user. It can be max 1,000 characters long and contain only non-semantic data that can not be resolved or used outside your systems or environments. Veriff returns it unmodified in webhooks and API response payloads, or as `null` if not provided.

Example1234567890
monitorStatusstring    

The updated status of the ongoing monitoring feature.

Valid values[
  "disabled"
]Exampledisabled

400

Watchlist screening monitoring is already disabled for this session

HeadersContent-TypestringResponse content type.Valid values[
  "application/json"
]
X-AUTH-CLIENTstringAPI key echoed back in response.
X-HMAC-SIGNATUREstringResponse body signed with the shared secret key. Required to authenticate the response sender.
<select class='api-response-data' aria-label='Media type'><option value='da3e673c-d319-45ce-bf35-4852c07d9aaf'>application/json</option>
</select>

```json
{
  "status": "fail",
  "message": "Watchlist screening is already disabled"
}
```

object  statusstring    

API request status

Valid values[
  "fail"
]Examplefail
messagestring    

Details about the error while disabling watchlist screening

ExampleWatchlist screening is already disabled

401

Unauthorized - invalid or missing authentication credentials

HeadersContent-TypestringResponse content type.Valid values[
  "application/json"
]
<select class='api-response-data' aria-label='Media type'><option value='dc938956-98ba-4820-9da7-3c895e765d5c'>application/json</option>
</select>

```json
{
  "status": "fail",
  "code": "1101",
  "message": "Mandatory X-AUTH-CLIENT header containing the API key is missing from the request."
}
```

object  statusstring    Valid values[
  "fail"
]Examplefail
codestring    Example1101
messagestring    ExampleMandatory X-AUTH-CLIENT header containing the API key is missing from the request.

402

Watchlist screening feature is not enabled for your integration

404

Verification session not found

HeadersContent-TypestringResponse content type.Valid values[
  "application/json"
]
X-AUTH-CLIENTstringAPI key echoed back in response.
X-HMAC-SIGNATUREstringResponse body signed with the shared secret key. Required to authenticate the response sender.
<select class='api-response-data' aria-label='Media type'><option value='22d52aca-7655-412e-8ea0-805fb8a90c76'>application/json</option>
</select>

```json
{
  "status": "fail",
  "code": "1101",
  "message": "Resource not found"
}
```

object  statusstring    Valid values[
  "fail"
]Examplefail
codestring    Example1101
messagestring    ExampleResource not found

500

Internal server error

HeadersContent-TypestringResponse content type.Valid values[
  "application/json"
]
X-AUTH-CLIENTstringAPI key echoed back in response.
X-HMAC-SIGNATUREstringResponse body signed with the shared secret key. Required to authenticate the response sender.
<select class='api-response-data' aria-label='Media type'><option value='07aab82c-cf37-4f27-a530-8ec7a1f8a897'>application/json</option>
</select>

```json
{
  "status": "fail",
  "message": "Something went wrong"
}
```

object  statusstring    

API request status

Valid values[
  "fail"
]Examplefail
messagestring    

Details about the error while disabling watchlist screening

ExampleWatchlist screening is already disabled

		
			

<title style="font-size:15px;">Changelog</title>

**Changelog**

| Date | Description |
| --- | --- |
| Apr 24, 2026 | Headers capitalization harmonized |
| Mar 9, 2026 | Documentation updated: parent categories rearranged, intro section expanded, request and response examples added |
| Feb 16, 2026 | `monitorStatus` description updated |
| Jan 6, 2026 | Documentation published |

## Related

- [Watchlist-screening results](/v1sessionsidwatchlist-screening-1.md)
